void MDFNI_DumpMem(const char *fname, uint32 start, uint32 end);
void MDFNI_LoadMem(const char *fname, uint32 start, int hl);
void MDFNI_MemDump(uint16 a, int32 len, void (*callb)(uint16 a, uint8 v));
uint8 MDFNI_MemSafePeek(uint16 A);
void MDFNI_MemPoke(uint16 a, uint8 v, int hl);
void MDFNI_NMI(void);
void MDFNI_IRQ(void);
uint16 MDFNI_Disassemble(void *XA, uint16 a, char *stringo);
void MDFNI_GetIVectors(uint16 *reset, uint16 *irq, uint16 *nmi);

